ProductExtraServices
Create ProductExtraService
Create a new ProductExtraService record.
POST
Create ProductExtraService
A ProductExtraService links an
ExtraService to a Product. The meaning of UsesIncluded depends on the type of the linked extra service:
- Booking time (ExtraService with
IsPrintingCredit = false) — customers receive an allowance of booking time for the resource type(s) associated with that extra service. For example, a product called “Hot Desk Bundle” might include 2 hours of meeting room usage — achieved by linking a “Meeting Room Hourly” extra service with “UsesIncluded120. - Printing credit (ExtraService with
IsPrintingCredit = true) — customers receive a number of print jobs/pages.UsesIncludedis the number of printing credits included. The linked extra service must haveChargePeriod = 5(Uses) andPrice = 1.
IsPrintingCredit on the linked extra service before interpreting UsesIncluded.
For booking-time extra services, the unit of UsesIncluded is determined by the ChargePeriod of the linked ExtraService:
So “UsesIncluded
60 on a minutes extra service means 60 minutes of booking time included. On a daily extra service it means 60 full days.
Authentication
This endpoint requires OAuth2 authentication. Include a valid bearer token in the
Authorization header.
The authenticated user must be a full unrestricted administrator or have the ProductExtraService-Create role.Enums
eChargePeriod — ExtraServiceChargePeriod values
eChargePeriod — ExtraServiceChargePeriod values
eRecurrentChargePattern
eRecurrentChargePattern
Request Body
Required Fields
integer
required
ID of the product linked to this record.
integer
required
ID of the extra service linked to this record.
integer
required
Uses included.
Optional Fields
integer
The expire time in months value for this product extra service.
integer
The expire time in weeks value for this product extra service.
integer
Expiration type. See
eRecurrentChargePattern? enum above.integer
Expires in.
Code Examples
Response
200
integer
HTTP status code.
200 on success.string
A human-readable message confirming the creation.
object
Contains the
Id of the newly created record.boolean
true if the productextraservice was created successfully.array
null on success.Example Response
400
string
A summary of the validation error(s), in the format
PropertyName: error message.any
null on validation failure.object[]
Array of validation errors.
boolean
false when the request fails validation.Example Response
Create ProductExtraService